---
lang: en
title: 'API docs: context.contextinspectoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextinspectoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextInspectOptions](./context.contextinspectoptions.md)

## ContextInspectOptions interface

Options for context.inspect()

<b>Signature:</b>

```typescript
export interface ContextInspectOptions extends BindingInspectOptions 
```
<b>Extends:</b> [BindingInspectOptions](./context.bindinginspectoptions.md)

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [includeParent?](./context.contextinspectoptions.includeparent.md) | boolean | <i>(Optional)</i> The flag to control if parent context should be inspected |


